> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Pix Key

> Validate a Pix key before creating a payment (v1)



## OpenAPI

````yaml api-reference/banking-api/openapi.json POST /banking/cashout/pix/keys/check
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cashout/pix/keys/check:
    post:
      tags:
        - cashout
      summary: Check a key
      description: Checks a key
      operationId: TrioFoundationWeb.Banking.Cashout.Pix.V1Controller.check_key
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Check_key_create_payload'
        description: Check key payload
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckKeyResponse'
          description: CheckKey
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    Check_key_create_payload:
      description: Payload to check a key
      example:
        entity_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
        key: '32165998093'
      properties:
        entity_id:
          $ref: '#/components/schemas/UUID'
        key:
          description: Key
          type: string
      required:
        - entity_id
        - key
      title: Check key create payload
      type: object
    CheckKeyResponse:
      description: Response schema for a single check key
      example:
        data:
          counterparty:
            bank_account:
              branch: '0001'
              digit: '1'
              id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
              ispb: '12345678'
              number: '123456'
              type: checking
            id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
            name: John Doe
            tax_number: '05964110000197'
          hash: 2941H29481H827GGY2G873GR1H893RG1793GFYI71G7
          id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
          inserted_at: '2020-01-10T10:00:00'
          key: '05964110000197'
          key_type: tax_number
          updated_at: '2024-01-10T10:00:00'
      properties:
        data:
          $ref: '#/components/schemas/CheckKeyResponse'
      title: CheckKeyResponse
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string

````